<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Charts_Base.php 105 2009-06-10 23:00:09Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

/**
 * @package		OpenFlashCharts
 */
abstract class OFC_Charts_Base
{
	/**
	 * @var	string	The chart type. Must be defined in the derived class.
	 */
	public $type = null;

	/**
	 * Constructor
	 *
	 * @throws	Exception if the
	 */
	public function __construct()
	{
		if (empty($this->type)) {
			throw new Exception('Type property not specified');
		}
	}
}
